Update an affiliate
curl --request PATCH \
--url https://go.affixo.dev/v1/affiliates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Jane Promoter",
"email": "jsmith@example.com"
}
'import requests
url = "https://go.affixo.dev/v1/affiliates/{id}"
payload = {
"name": "Jane Promoter",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Jane Promoter', email: 'jsmith@example.com'})
};
fetch('https://go.affixo.dev/v1/affiliates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "affiliate",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ref_code": "jane",
"email": "jsmith@example.com",
"name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "invalid_json"
}{
"error": "unauthorized"
}{
"error": "insufficient_scope",
"need": "write"
}{
"error": "link_not_found"
}Affiliates
Update an affiliate
Update status, name, or email. Requires write scope.
PATCH
/
v1
/
affiliates
/
{id}
Update an affiliate
Authorizations
Workspace API key, e.g. sa_live_…. Scopes: read / write / track / *.
Path Parameters
Body
application/json
⌘I